Info: este não é o changelog para o versão estável mais recente 4.14.3
ver todos os changelogs

Pro v2.7.2 - compatibilidade e lançamento de correções - está disponível

v2.7.2 é uma versão de compatibilidade e correção de bugs que se concentra em aumentar a usabilidade geral no front-end e back-end. Gostaria de agradecer especialmente a todos os usuários que relatam problemas e conflitos de plugins que também podem ser resolvidos com esta versão.

Uma atualização para a versão mais recente é - como sempre - altamente recomendada. Para mais detalhes sobre esta versão, consulte abaixo.


Deixe-nos saber o que você pensa sobre este novo lançamento por enviando uma revisão ou deixando um comentário abaixo!

Se você deseja manter-se atualizado com o desenvolvimento mais recente do Maps Marker Pro, siga @MapsMarker no twitter (= atualizações mais recentes), em Facebook, Google+ ou assine notícias via RSS ou através RSS / email.

Gostaríamos também de convidá-lo para participar de nosso programa de afiliados que oferece comissões de até 50%. Se você estiver interessado em se tornar um revendedor, visite https://www.mapsmarker.com/reseller


Agora vamos aos destaques do pro v2.7.2:

nova ação em massa para excluir marcadores atribuídos na página de edição de camadas

Agora, nas páginas de edição de camada, você pode excluir os marcadores atribuídos da tabela em massa:

página de exclusão de camadas em massa

Obrigado Chris por esse feedback valioso!

adicione configuração de compatibilidade para que os mapas sejam carregados corretamente em soluções de guias proprietárias e divs ocultos

O Maps Marker Pro já suporta a exibição correta de mapas nas guias criadas com as guias da UI do jQuery e nas guias de auto-inicialização. O que nos causou algumas dores de cabeça até agora foram as soluções ou mapas proprietários de guias sendo carregados em divs ocultos e mostrados por clique sob demanda - isso poderia resultar em mapas não sendo totalmente carregados.

Portanto, com a v2.7.2, adicionamos novas configurações gerais de compatibilidade em Settings / Misc / General Settings:

configuração de compatibilidade de guias

Habilite essa configuração somente se você estiver enfrentando problemas com mapas em soluções de guias proprietárias ou divs ocultos que são exibidos sob demanda.

mostrar mensagem de erro se os usuários tentarem atribuir um marcador diretamente a um mapa de várias camadas

O fato de marcadores não poderem ser atribuídos diretamente a mapas de várias camadas, mas apenas a camadas usadas em mapas de várias camadas, pode não ser intuitivo - especialmente para novos usuários. Com a v2.7.2, tentamos melhorar isso, mostrando uma informação de alerta com informações relacionadas, se um usuário tentar atribuir um marcador a um mapa de várias camadas:

erro de atribuição de mlm

Outras mudanças e otimizações

  • O recurso "alterar ID da camada" na página de ferramentas agora também atualiza a ID da camada usada em mapas de várias camadas (thx Coen!)
  • opção de largura do ícone removida para widgets (como o ícone ficou distorcido)
  • versão atualizada mínima recomendada do PHP para verificação embutida do PHP para 5.6 - suportando wpupdatephp.com

correções de bugs

  • compatibilidade para formulários ContactForm7 em pop-ups em mapas de camadas
  • o upscaling dos mapas base do MapQuest OSM para o nível de zoom 18+ foi interrompido (thx Michael!)
  • mapas de camadas podem ser quebrados se uma combinação de configurações especiais para a lista de marcadores for usada (thx Lynn!)
  • widget de marcador recente: mostrar linhas separadoras, mostrar pop-up de texto e mostrar opções de ícones não funcionou como projetado (thx Harald!)
  • widget de marcador recente: a opção para definir o valor da cor para a linha separadora foi interrompida
  • caracteres de controle como guias no nome do marcador podem quebrar mapas de camadas com a lista de marcadores ativada (thx Peter!)
  • Erro na API REST “O usuário especificado já possui chaves de API ou o usuário especificado não existe.”
  • a verificação de compatibilidade do plug-in de links externos do WP não funcionou mais desde a v2.0 (thx Oleg!)
  • período de teste, o acesso independente aos mapas de front-end nas instalações do host local foi interrompido
  • a lista suspensa de atribuição de camada (s) não foi solicitada pelo ID da camada na página de edição e ferramenta do marcador (thx Coen!)
  • aviso indefinido javascript para a lista de marcadores se nonce foi alterado
  • O recurso "alterar ID da camada" na página de ferramentas não atualizou os marcadores atribuídos desde a v2.4 (thx Coen!)
  • A tabela "lista de marcadores" nas páginas de edição de camadas do mapa de várias camadas com todos os marcadores atribuídos não foi exibida corretamente

Problemas conhecidos

O recurso de geolocalização não funciona mais com o Google Chrome 50 ou superior, a menos que seu site esteja acessível com segurança via https

Com o Chrome 50, o Google fez uma alteração significativa no suporte à localização geográfica do navegador: todos os aplicativos que solicitam a posição atual do usuário (não apenas para o recurso de localização geográfica do Maps Marker Pro) só podem mais recuperar a posição atual do usuário se o site está configurado para ser entregue com segurança via https - os usuários verão o seguinte aviso:

geolocalização-erro-informação

Veja mais detalhes sobre essa decisão do Google em https://developers.google.com/web/updates/2016/04/geolocation-on-secure-contexts-only. A geolocalização ainda funcionará em sites que não sejam https, se os usuários acessarem o site por meio de navegadores alternativos como Firefox, Safari ou Internet Explorer - de qualquer maneira, é provável que esses navegadores também adicionem uma restrição de segurança semelhante no futuro.

Portanto, se você precisar do talento de geolocalização do Maps Marker Pro em seu site (que com a v2.7 fica ainda mais útil, pois você pode classificar a lista de marcadores com base na posição atual do usuário), é altamente recomendável migrar seu site para https. Alguns hosters já fornecem certificados https gratuitos de letsencrypt.org por exemplo. Para obter as configurações necessárias no seu site WordPress para configurá-lo para suportar https, consulte tutoriais como https://css-tricks.com/moving-to-https-on-wordpress/.

Como o https tem mais vantagens para o seu site do que apenas a geolocalização trabalhando novamente com o Google Chrome 50+ (como garantir a integridade dos dados, a autenticação do remetente e a privacidade do usuário, além de uma classificação mais alta do Google, já que o https é usado como sinal de classificação), é altamente recomendável que você troque seu site para https somente se você ainda não o fez.

Atualizações de traduções

Graças a muitos colaboradores motivados, esta versão inclui as seguintes traduções atualizadas:

Se você quiser contribuir com traduções (novos tradutores de hindi serão apreciados!), Visite https://translate.mapsmarker.com/projects/lmm Para maiores informações.

Observe que os tradutores também são compensados ​​por sua contribuição - por exemplo, se uma tradução for concluída com menos de 50%, o tradutor receberá um pacote de 25 licenças grátis no valor de € 249 como uma compensação pela conclusão da tradução para 100%.

Outlook - planos para os próximos lançamentos

Por favor, entenda que não podemos prometer nenhuma data de lançamento para novos recursos. o roteiro para os principais recursos novos, você tem uma ideia de para onde o Maps Marker Pro está indo - de qualquer forma, queremos manter a flexibilidade de adicionar otimizações e correções de bugs com versões secundárias não planejadas, resultantes principalmente do feedback dos usuários.

Inscreva-se neste blog (via RSS or Email) ou siga @MapsMarker no twitter (= atualizações mais recentes) se você deseja manter-se atualizado com as últimas notícias de desenvolvimento.

Registro de alterações completo

nova ação em massa para excluir marcadores atribuídos na página de edição de camadas (thx Chris!)
adicione configuração de compatibilidade para que os mapas sejam carregados corretamente em soluções de guias proprietárias e divs ocultos
mostrar mensagem de erro se os usuários tentarem atribuir um marcador diretamente a um mapa de várias camadas
O recurso "alterar ID da camada" na página de ferramentas agora também atualiza a ID da camada usada em mapas de várias camadas (thx Coen!)
opção de largura do ícone removida para widgets (como o ícone ficou distorcido)
versão atualizada mínima recomendada do PHP para verificação embutida do PHP para 5.6 - suportando wpupdatephp.com
compatibilidade para formulários ContactForm7 em pop-ups em mapas de camadas
o upscaling dos mapas base do MapQuest OSM para o nível de zoom 18+ foi interrompido (thx Michael!)
mapas de camadas podem ser quebrados se uma combinação de configurações especiais para a lista de marcadores for usada (thx Lynn!)
widget de marcador recente: mostrar linhas separadoras, mostrar pop-up de texto e mostrar opções de ícones não funcionou como projetado (thx Harald!)
widget de marcador recente: a opção para definir o valor da cor para a linha separadora foi interrompida
caracteres de controle como guias no nome do marcador podem quebrar mapas de camadas com a lista de marcadores ativada (thx Peter!)
Erro na API REST “O usuário especificado já possui chaves de API ou o usuário especificado não existe.”
a verificação de compatibilidade do plug-in de links externos do WP não funcionou mais desde a v2.0 (thx Oleg!)
período de teste, o acesso independente aos mapas de front-end nas instalações do host local foi interrompido
a lista suspensa de atribuição de camada (s) não foi solicitada pelo ID da camada na página de edição e ferramenta do marcador (thx Coen!)
aviso indefinido javascript para a lista de marcadores se nonce foi alterado
O recurso "alterar ID da camada" na página de ferramentas não atualizou os marcadores atribuídos desde a v2.4 (thx Coen!)
A tabela "lista de marcadores" nas páginas de edição de camadas do mapa de várias camadas com todos os marcadores atribuídos não foi exibida corretamente
O recurso de geolocalização não funciona mais com o Google Chrome 50 ou superior, a menos que seu site esteja acessível com segurança via https (detalhes)
Atualizações de tradução
Caso você queira ajudar com traduções, visite o site plataforma de tradução baseada na web
tradução alemã atualizada
tradução atualizada em lituano graças a Donatas Liaudaitis - http://www.transleta.co.uk e Ovidijus - http://www.manokarkle.lt
tradução atualizada para o russo graças a Ekaterina Golubina (suportada por Teplitsa of Social Technologies - http://te-st.ru) e Vyacheslav Strenadko, http://slavblog.ru

mostrar todos os registros de alterações disponíveis

Como baixar / atualizar

A maneira mais fácil de atualizar é usar o processo de atualização do WordPress: faça login com um usuário que tenha privilégios de administrador, navegue até Painel / Atualizações, selecione plugins para atualizar e pressione o botão “Atualizar Plugins”. O plug-in pro verifica a cada 12 horas se uma nova versão está disponível. Você também pode acionar manualmente a verificação da atualização, acessando Plug-ins e clicando no link "Verificar manualmente atualizações" ao lado de "Maps Marker Pro":

verificação de atualização manual

Se você não vir o link "Verificar atualizações" e estiver usando uma versão abaixo de 1.7, atualize manualmente uma vez baixando o pacote atual de https://www.mapsmarker.com/download-pro e substituindo os arquivos de plug-in existentes em seu servidor via FTP. Isso pode ser necessário em vários hosts, que usam bibliotecas SSL desatualizadas, que impedem o Maps Marker Pro de fazer uma conexão segura para recuperar o pacote de atualização do mapsmarker.com. O Pro v1.7 inclui uma solução alternativa para esse tipo de servidor e as seguintes atualizações devem funcionar novamente como de costume. Se você é afetado e precisa de ajuda, por favor abrir um ticket de suporte.

Como verificar a integridade do pacote de plugins

Valor de hash SHA-256:

4EC2DB8D4FD314166E7F63CA85CC838222DCCEDCD2879DBD3D730E1F47052CAF

Clique aqui para obter um tutorial sobre como verificar a integridade do pacote de plugins (recomendado se o pacote de plug-ins para uma nova instalação não tiver sido baixado de https://www.mapsmarker.com - a verificação não é necessária, se o processo de atualização automática for usado)

Notas de atualização adicionais para o beta tester

Nenhuma etapa adicional será necessária se você estiver atualizando de uma versão beta.

Deixe um comentário

XHTML: Você pode usar estas tags: <a href="" title=""> <abbr title=""> <acronym title=""> <b> <blockquote cite=""> <cite> <code> <del datetime=""> <em> <i> <q cite=""> <s> <strike> <strong>

en English
X